List adverse action notices
curl --request GET \
--url https://api.synctera.com/v2/adverse_actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/adverse_actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/adverse_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adverse_actions": [
{
"notification_time": "2010-05-06T12:23:34.321Z",
"purpose": "ACCOUNT_CLOSURE",
"reasons": [
"Too many inquiries or insufficient credit history"
],
"related_resource_id": "42ab5301-92b5-4f8a-bbc4-058119d3f7dc",
"related_resource_type": "ACCOUNT",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "9980ff38-1876-4fc7-8bc9-bf0490e2f746",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Adverse Actions (beta)
List adverse action notices
GET
/
adverse_actions
List adverse action notices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Unique identifier for the related resource. Multiple IDs can be provided as a comma-separated list.
Example:
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
return results with these comma-separated IDs
Example:
"c833e6c6-5c15-4719-90e9-7a6682c483d3,ef17356c-69b0-446e-ae2f-72ab59eeb544"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Was this page helpful?

